org.apache.ignite.internal.processors.query

## Class QueryTypeCandidate

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QueryTypeCandidate

    public class QueryTypeCandidate
    extends Object

Type candidate which possibly will be registered.

### Constructor Summary

Constructors
Constructor and Description
`QueryTypeCandidate(QueryTypeIdKey typeId, QueryTypeIdKey altTypeId, QueryTypeDescriptorImpl desc)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`QueryTypeIdKey` `alternativeTypeId()`
`QueryTypeDescriptorImpl` `descriptor()`
`QueryTypeIdKey` `typeId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryTypeCandidate

    public QueryTypeCandidate(QueryTypeIdKey typeId,
                              QueryTypeIdKey altTypeId,
                              QueryTypeDescriptorImpl desc)

Constructor.

Parameters:
  `typeId` - Type ID.
  `altTypeId` - Alternative type ID.
  `desc` - Descriptor.

### Method Detail

#### typeId

    public QueryTypeIdKey typeId()

Returns:
  Type ID.

#### alternativeTypeId

    public QueryTypeIdKey alternativeTypeId()

Returns:
  Alternative type ID.

#### descriptor

    public QueryTypeDescriptorImpl descriptor()

Returns:
  Descriptor.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022